
Katello - Bug #6263

hammer activation-key 'remove-host-collection' is mistakenly named as 'remove-repository'

06/17/2014 10:10 PM - dustin tsang

Status: Closed   

Priority: Low   

Assignee: dustin tsang   

Category: Hammer   

Target version: Katello 2.0   

Difficulty: trivial Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1110467 Red Hat JIRA:  

Pull request:    

Description

Description of problem:

hammer activation-key 'remove-host-collection'  is mistakenly named as 'remove-repository'

Version-Release number of selected component (if applicable):

apr-util-ldap-1.3.9-3.el6_0.1.x86_64

candlepin-0.9.19-1.el6_5.noarch

candlepin-scl-1-5.el6_4.noarch

candlepin-scl-quartz-2.1.5-5.el6_4.noarch

candlepin-scl-rhino-1.7R3-1.el6_4.noarch

candlepin-scl-runtime-1-5.el6_4.noarch

candlepin-selinux-0.9.19-1.el6_5.noarch

candlepin-tomcat6-0.9.19-1.el6_5.noarch

elasticsearch-0.90.10-4.el6sat.noarch

foreman-1.6.0.17-1.el6sat.noarch

foreman-compute-1.6.0.17-1.el6sat.noarch

foreman-gce-1.6.0.17-1.el6sat.noarch

foreman-libvirt-1.6.0.17-1.el6sat.noarch

foreman-ovirt-1.6.0.17-1.el6sat.noarch

foreman-postgresql-1.6.0.17-1.el6sat.noarch

foreman-proxy-1.6.0.7-1.el6sat.noarch

foreman-selinux-1.6.0-4.el6sat.noarch

foreman-vmware-1.6.0.17-1.el6sat.noarch

katello-1.5.0-26.el6sat.noarch

katello-ca-1.0-1.noarch

katello-certs-tools-1.5.5-1.el6sat.noarch

katello-installer-0.0.48-1.el6sat.noarch

openldap-2.4.23-32.el6_4.1.x86_64

pulp-katello-0.3-3.el6sat.noarch

pulp-nodes-common-2.4.0-0.20.beta.el6sat.noarch

pulp-nodes-parent-2.4.0-0.20.beta.el6sat.noarch

pulp-puppet-plugins-2.4.0-0.20.beta.el6sat.noarch

pulp-puppet-tools-2.4.0-0.20.beta.el6sat.noarch

pulp-rpm-plugins-2.4.0-0.20.beta.el6sat.noarch

pulp-selinux-2.4.0-0.20.beta.el6sat.noarch

pulp-server-2.4.0-0.20.beta.el6sat.noarch

python-ldap-2.3.10-1.el6.x86_64

ruby193-rubygem-net-ldap-0.3.1-3.el6sat.noarch

ruby193-rubygem-runcible-1.1.0-2.el6sat.noarch

How reproducible:

Always

Steps to Reproduce:

1. hammer activation-key remove-repository --help
Usage:

hammer activation-key remove-repository [OPTIONS]

Options:

--host-collection HOST_COLLECTION_NAME

--host-collection-id HOST_COLLECTION_ID

--id ID

--name NAME                   Name to search by

--organization ORGANIZATION_NAME

--organization-id ORGANIZATION_ID

--organization-label ORGANIZATION_LABEL

-h, --help                    print help

1. hammer activation-key remove-host-collection --help

Error: No such sub-command 'remove-host-collection'

See: 'hammer activation-key --help'

Actual results:

'remove-repository' command exists and not 'remove-host-collection'

Expected results:

'remove repository' should be updated as 'remove-host-collection'

Additional info:

Associated revisions

Revision bbb29d24 - 06/17/2014 10:48 PM - dustin tsang

Fixes #6263 - rename assoc HC remove cmd BZ110467

In the associating command for Host Collection, this change renames

the 'remove-repository' command to 'remove-host-collection'

Revision 909ff9ab - 06/17/2014 11:09 PM - dustin tsang

Merge pull request #193 from dustint-rh/rename_command_remove_host_collection

Fixes #6263 - rename associating HC remove cmd

History

#1 - 06/18/2014 12:06 AM - dustin tsang

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset hammer-cli-katello|commit:bbb29d249d812be598d5a3991451c1a1dcdce538.

#2 - 06/19/2014 01:06 AM - Eric Helms

- Triaged changed from No to Yes

#3 - 08/22/2014 08:35 AM - Eric Helms

- translation missing: en.field_release set to 13
